Subject: Re: linux-next: manual merge of the usb tree with the usb.current tree

From: Greg KH <[email-masked]>
Date: Wed, 5 Nov 2014 18:19:34 -0800

On Wed, Nov 05, 2014 at 09:33:33AM +0100, Paul Bolle wrote:
> On Tue, 2014-11-04 at 20:30 -0800, Greg KH wrote:
> > On Wed, Nov 05, 2014 at 03:18:25PM +1100, Stephen Rothwell wrote: 
> > > Today's linux-next merge of the usb tree got a conflict in
> > > drivers/usb/host/Kconfig between commit cd6e245a2d06 ("usb: Remove
> > > references to non-existent PLAT_S5P symbol") from the usb.current tree
> > > and commit dd3cf17488b1 ("usb: host: Remove optional dependencies on
> > > PLAT_S5P") from the usb tree.
> > > 
> > > I fixed it up (I used the usb tree version) and can carry the fix as
> > > necessary (no action is required).
> > 
> > That's the correct fix, thanks for doing that.
> 
> Shouldn't that be the other way round?

Sorry, you are right, I read the merge backwards.

> I thought we would choose Sylwester's commit from the usb.current tree
> over my commit from the usb tree. Or will Sylwester's commit end up in
> linux-next through yet another usb tree?

I will do that when I do the merge in my tree when it hits Linus's tree.

thanks,

greg k-h